import "Turbine.Gameplay";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Thurallor.Common.Utils.Utils";

win = Turbine.UI.Window();
win:SetSize(480, 480);
win:SetBackground("Thurallor/MouseFinder/mouse_finder.tga");
win:SetMouseVisible(false);
win:SetZOrder(2147483647);
win.theta = 0;

player = Turbine.Gameplay.LocalPlayer:GetInstance();
AddCallback(player, "InCombatChanged", function(sender, args)
    win.inCombat = player:IsInCombat();
    if (win.inCombat) then
        win.x, win.y = Turbine.UI.Display:GetMousePosition();
        win:SetWantsUpdates(true);
    end
end);

function win:Update()
    local x, y = Turbine.UI.Display:GetMousePosition();
    self.moved = ((self.x ~= x) or (self.y ~= y));
    if (not self.displaying) then
        if (self.moved) then
            self.moved = false;
            self.displaying = true;
            self:SetVisible(true);
        end
    else
        self.theta = self.theta + 0.5;
        if (self.theta >= 20) then
            self.theta = 0;
            if (not self.moved) then
                self.displaying = false;
                self:SetVisible(false);
                if (not self.inCombat) then
                    self:SetWantsUpdates(false);
                end
            end
        end
        self:SetPosition(x - 240, y - 240);
        self:SetRotation({x = 0; y = 0; z = self.theta});
    end
    self.x, self.y = x, y;
end
